import org.exolab.castor.xml.*;
import org.exolab.castor.mapping.*;
import java.io.*;

public class CastorTest3 {
  public static void main(String[] args) {
    Customer myCust = new Customer();
    try {
      // Were making an instance specifically for Customer.class
      Unmarshaller myUnmarshaller = new Unmarshaller(Customer.class);
      FileReader in = new FileReader("customer.xml");
      Mapping myMapping = new Mapping();
      // The myMapping object will parse and load the mapping here
      myMapping.loadMapping("customerMapping.xml");
      // Now we tell the Unmarshaller to use this mapping
      myUnmarshaller.setMapping(myMapping);
      // As before, we have to cast the result of the unMarshalling
      myCust = (Customer)myUnmarshaller.unmarshal(in);
      } catch (Exception e) {
         System.out.println("Exception: "+e.getMessage());
      }

   System.out.println("    Customer ID: " + myCust.getID());
   System.out.println("     First Name: " + 
      myCust.getFirstName().getText());
   System.out.println(" Middle Initial: " + myCust.getMI().getText());
   System.out.println("      Last Name: " +    
      myCust.getLastName().getText());
   }
}
